Skip to main content
PATCH

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

Ampersand Project ID or name.

keyId
string
required

The JWT key ID.

Body

application/json
updateMask
enum<string>[]
required

List of field paths to update (currently supports 'active' and 'name')

Minimum array length: 1
Available options:
active,
label
Example:
jwtKey
object
required

Object containing the fields to update with their new values

Example:

Response

JWT key updated successfully

id
string<uuid>
required

Unique identifier for the JWT key

Example:

"550e8400-e29b-41d4-a716-446655440000"

projectId
string<uuid>
required

The project this JWT key belongs to

Example:

"123e4567-e89b-12d3-a456-426614174000"

label
string
required

Human-readable name for the JWT key

Example:

"production-key-1"

algorithm
enum<string>
required

The cryptographic algorithm used

Available options:
RSA
Example:

"RSA"

publicKeyPem
string<pem>
required

RSA public key in PEM format

Example:

"-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA4f5wg5l2hKsTeNem/V41\n-----END PUBLIC KEY-----\n"

active
boolean
required

Whether the JWT key is currently active and can be used for verification

Example:

true

createTime
string<date-time>
required

Timestamp when the JWT key was created

Example:

"2024-01-15T10:30:00Z"

updateTime
string<date-time>
required

Timestamp when the JWT key was last updated

Example:

"2024-01-15T10:30:00Z"